[Á°][¼¡][ÈÖ¹æ½ç°ìÍ÷][¥¹¥ì¥Ã¥É°ìÍ÷][À¸¥Ç¡¼¥¿]

yarv-diff:421

From: ko1 atdot.net
Date: 31 Dec 2006 18:02:35 +0900
Subject: [yarv-diff:421] r590 - in trunk: . bin

Author: ko1
Date: 2006-12-31 18:02:34 +0900 (Sun, 31 Dec 2006)
New Revision: 590

Modified:
   trunk/ChangeLog
   trunk/bin/erb
   trunk/bin/irb
   trunk/bin/rdoc
   trunk/bin/ri
   trunk/bin/testrb
Log:
	* bin/* : ruby/trunk/bin 11437



Modified: trunk/ChangeLog
===================================================================
--- trunk/ChangeLog	2006-12-31 08:42:54 UTC (rev 589)
+++ trunk/ChangeLog	2006-12-31 09:02:34 UTC (rev 590)
@@ -4,6 +4,11 @@
 #  from Mon, 03 May 2004 01:24:19 +0900
 #
 
+Sun Dec 31 18:01:50 2006  Koichi Sasada  <ko1 atdot.net>
+
+	* bin/* : ruby/trunk/bin 11437
+
+
 Sun Dec 31 17:42:05 2006  Koichi Sasada  <ko1 atdot.net>
 
 	* eval.c : remove old Kernel#funcall definition

Modified: trunk/bin/erb
===================================================================
--- trunk/bin/erb	2006-12-31 08:42:54 UTC (rev 589)
+++ trunk/bin/erb	2006-12-31 09:02:34 UTC (rev 590)
@@ -1,141 +1,141 @@
-#!/usr/bin/env ruby
-# Tiny eRuby --- ERB2
-# Copyright (c) 1999-2000,2002 Masatoshi SEKI 
-# You can redistribute it and/or modify it under the same terms as Ruby.
-
-require 'erb'
-
-class ERB
-  module Main
-    def ARGV.switch
-      return nil if self.empty?
-      arg = self.shift
-      return nil if arg == '--'
-      if arg =~ /^-(.)(.*)/
-        return arg if $1 == '-'
-        raise 'unknown switch "-"' if $2.index('-')
-        self.unshift "-#{$2}" if $2.size > 0
-        "-#{$1}"
-      else
-        self.unshift arg
-        nil
-      end
-    end
-    
-    def ARGV.req_arg
-      self.shift || raise('missing argument')
-    end
-
-    def trim_mode_opt(trim_mode, disable_percent)
-      return trim_mode if disable_percent
-      case trim_mode
-      when 0
-        return '%'
-      when 1
-        return '%>'
-      when 2
-        return '%<>'
-      when '-'
-        return '%-'
-      end
-    end
-    module_function :trim_mode_opt
-
-    def run(factory=ERB)
-      trim_mode = 0
-      disable_percent = false
-      begin
-        while switch = ARGV.switch
-          case switch
-          when '-x'                        # ruby source
-            output = true
-          when '-n'                        # line number
-            number = true
-          when '-v'                        # verbose
-            $VERBOSE = true
-          when '--version'                 # version
-            STDERR.puts factory.version
-            exit
-          when '-d', '--debug'             # debug
-            $DEBUG = true
-          when '-r'                        # require
-            require ARGV.req_arg
-          when '-S'                        # security level
-            arg = ARGV.req_arg
-            raise "invalid safe_level #{arg.dump}" unless arg =~ /^[0-4]$/
-            safe_level = arg.to_i
-          when '-T'                        # trim mode
-            arg = ARGV.req_arg
-            if arg == '-'
-              trim_mode = arg 
-              next
-            end
-            raise "invalid trim mode #{arg.dump}" unless arg =~ /^[0-2]$/
-            trim_mode = arg.to_i
-          when '-K'                        # KCODE
-            arg = ARGV.req_arg
-            case arg.downcase
-            when 'e', '-e', 'euc'
-              $KCODE = 'EUC'
-            when 's', '-s', 'sjis'
-              $KCODE = 'SJIS'
-            when 'u', '-u', 'utf8'
-              $KCODE = 'UTF8'
-            when 'n', '-n', 'none'
-              $KCODE = 'NONE'
-            else
-              raise "invalid KCODE #{arg.dump}"
-            end
-          when '-P'
-            disable_percent = true
-          when '--help'
-            raise "print this help"
-          else
-            raise "unknown switch #{switch.dump}"
-          end
-        end
-      rescue                               # usage
-        STDERR.puts $!.to_s
-        STDERR.puts File.basename($0) + 
-          " [switches] [inputfile]"
-        STDERR.puts <<EOU
-  -x               print ruby script
-  -n               print ruby script with line number
-  -v               enable verbose mode
-  -d               set $DEBUG to true
-  -r [library]     load a library
-  -K [kcode]       specify KANJI code-set
-  -S [safe_level]  set $SAFE (0..4)
-  -T [trim_mode]   specify trim_mode (0..2, -)
-  -P               ignore lines which start with "%"
-EOU
-        exit 1
-      end
-
-      src = $<.read
-      filename = $FILENAME
-      exit 2 unless src
-      trim = trim_mode_opt(trim_mode, disable_percent)
-      erb = factory.new(src.untaint, safe_level, trim)
-      erb.filename = filename
-      if output
-        if number
-          l = 1
-          for line in erb.src
-            puts "%3d %s"%[l, line]
-            l += 1
-          end
-        else
-          puts erb.src
-        end
-      else
-        erb.run(TOPLEVEL_BINDING.taint)
-      end
-    end
-    module_function :run
-  end
-end
-
-if __FILE__ == $0
-  ERB::Main.run
-end
+#!/usr/bin/env ruby
+# Tiny eRuby --- ERB2
+# Copyright (c) 1999-2000,2002 Masatoshi SEKI 
+# You can redistribute it and/or modify it under the same terms as Ruby.
+
+require 'erb'
+
+class ERB
+  module Main
+    def ARGV.switch
+      return nil if self.empty?
+      arg = self.shift
+      return nil if arg == '--'
+      if arg =~ /^-(.)(.*)/
+        return arg if $1 == '-'
+        raise 'unknown switch "-"' if $2.index('-')
+        self.unshift "-#{$2}" if $2.size > 0
+        "-#{$1}"
+      else
+        self.unshift arg
+        nil
+      end
+    end
+    
+    def ARGV.req_arg
+      self.shift || raise('missing argument')
+    end
+
+    def trim_mode_opt(trim_mode, disable_percent)
+      return trim_mode if disable_percent
+      case trim_mode
+      when 0
+        return '%'
+      when 1
+        return '%>'
+      when 2
+        return '%<>'
+      when '-'
+        return '%-'
+      end
+    end
+    module_function :trim_mode_opt
+
+    def run(factory=ERB)
+      trim_mode = 0
+      disable_percent = false
+      begin
+        while switch = ARGV.switch
+          case switch
+          when '-x'                        # ruby source
+            output = true
+          when '-n'                        # line number
+            number = true
+          when '-v'                        # verbose
+            $VERBOSE = true
+          when '--version'                 # version
+            STDERR.puts factory.version
+            exit
+          when '-d', '--debug'             # debug
+            $DEBUG = true
+          when '-r'                        # require
+            require ARGV.req_arg
+          when '-S'                        # security level
+            arg = ARGV.req_arg
+            raise "invalid safe_level #{arg.dump}" unless arg =~ /^[0-4]$/
+            safe_level = arg.to_i
+          when '-T'                        # trim mode
+            arg = ARGV.req_arg
+            if arg == '-'
+              trim_mode = arg 
+              next
+            end
+            raise "invalid trim mode #{arg.dump}" unless arg =~ /^[0-2]$/
+            trim_mode = arg.to_i
+          when '-K'                        # KCODE
+            arg = ARGV.req_arg
+            case arg.downcase
+            when 'e', '-e', 'euc'
+              $KCODE = 'EUC'
+            when 's', '-s', 'sjis'
+              $KCODE = 'SJIS'
+            when 'u', '-u', 'utf8'
+              $KCODE = 'UTF8'
+            when 'n', '-n', 'none'
+              $KCODE = 'NONE'
+            else
+              raise "invalid KCODE #{arg.dump}"
+            end
+          when '-P'
+            disable_percent = true
+          when '--help'
+            raise "print this help"
+          else
+            raise "unknown switch #{switch.dump}"
+          end
+        end
+      rescue                               # usage
+        STDERR.puts $!.to_s
+        STDERR.puts File.basename($0) + 
+          " [switches] [inputfile]"
+        STDERR.puts <<EOU
+  -x               print ruby script
+  -n               print ruby script with line number
+  -v               enable verbose mode
+  -d               set $DEBUG to true
+  -r [library]     load a library
+  -K [kcode]       specify KANJI code-set
+  -S [safe_level]  set $SAFE (0..4)
+  -T [trim_mode]   specify trim_mode (0..2, -)
+  -P               ignore lines which start with "%"
+EOU
+        exit 1
+      end
+
+      src = $<.read
+      filename = $FILENAME
+      exit 2 unless src
+      trim = trim_mode_opt(trim_mode, disable_percent)
+      erb = factory.new(src.untaint, safe_level, trim)
+      erb.filename = filename
+      if output
+        if number
+          l = 1
+          for line in erb.src
+            puts "%3d %s"%[l, line]
+            l += 1
+          end
+        else
+          puts erb.src
+        end
+      else
+        erb.run(TOPLEVEL_BINDING.taint)
+      end
+    end
+    module_function :run
+  end
+end
+
+if __FILE__ == $0
+  ERB::Main.run
+end

Modified: trunk/bin/irb
===================================================================
--- trunk/bin/irb	2006-12-31 08:42:54 UTC (rev 589)
+++ trunk/bin/irb	2006-12-31 09:02:34 UTC (rev 590)
@@ -1,21 +1,21 @@
-#!/usr/bin/env ruby
-#
-#   irb.rb - intaractive ruby
-#   	$Release Version: 0.9.5 $
-#   	$Revision: 1.3 $
-#   	$Date: 2005/04/13 15:27:07 $
-#   	by Keiju ISHITSUKA(keiju ruby-lang.org)
-#
-
-require "irb"
-
-if __FILE__ == $0
-  IRB.start(__FILE__)
-else
-  # check -e option
-  if /^-e$/ =~ $0
-    IRB.start(__FILE__)
-  else
-    IRB.setup(__FILE__)
-  end
-end
+#!/usr/bin/env ruby
+#
+#   irb.rb - intaractive ruby
+#   	$Release Version: 0.9.5 $
+#   	$Revision: 8322 $
+#   	$Date: 2005-04-14 00:27:09 +0900 (木, 14 4 2005) $
+#   	by Keiju ISHITSUKA(keiju ruby-lang.org)
+#
+
+require "irb"
+
+if __FILE__ == $0
+  IRB.start(__FILE__)
+else
+  # check -e option
+  if /^-e$/ =~ $0
+    IRB.start(__FILE__)
+  else
+    IRB.setup(__FILE__)
+  end
+end

Modified: trunk/bin/rdoc
===================================================================
--- trunk/bin/rdoc	2006-12-31 08:42:54 UTC (rev 589)
+++ trunk/bin/rdoc	2006-12-31 09:02:34 UTC (rev 590)
@@ -1,67 +1,67 @@
-#!/usr/bin/env ruby
-#
-#  RDoc: Documentation tool for source code
-#        (see lib/rdoc/rdoc.rb for more information)
-#
-#  Copyright (c) 2003 Dave Thomas
-#  Released under the same terms as Ruby
-#
-#  $Revision: 1.1 $
-
-## Transitional Hack ####
-#
-#  RDoc was initially distributed independently, and installed
-#  itself into <prefix>/lib/ruby/site_ruby/<ver>/rdoc...
-#
-#  Now that RDoc is part of the distribution, it's installed into
-#  <prefix>/lib/ruby/<ver>, which unfortunately appears later in the
-#  search path. This means that if you have previously installed RDoc,
-#  and then install from ruby-lang, you'll pick up the old one by
-#  default. This hack checks for the condition, and readjusts the
-#  search path if necessary.
-
-def adjust_for_existing_rdoc(path)
-  
-  $stderr.puts %{
-  It seems as if you have a previously-installed RDoc in
-  the directory #{path}.
-
-  Because this is now out-of-date, you might want to consider
-  removing the directories:
-
-    #{File.join(path, "rdoc")}
-
-  and
-
-    #{File.join(path, "markup")}
-
-  }
-
-  # Move all the site_ruby directories to the end
-  p $:
-  $:.replace($:.partition {|path| /site_ruby/ !~ path}.flatten)
-  p $:
-end
-
-$:.each do |path|
-  if /site_ruby/ =~ path 
-    rdoc_path = File.join(path, 'rdoc', 'rdoc.rb')
-    if File.exists?(rdoc_path)
-      adjust_for_existing_rdoc(path)
-      break
-    end
-  end
-end
-
-## End of Transitional Hack ##
-
-
-require 'rdoc/rdoc'
-
-begin
-  r = RDoc::RDoc.new
-  r.document(ARGV)
-rescue RDoc::RDocError => e
-  $stderr.puts e.message
-  exit(1)
-end
+#!/usr/bin/env ruby
+#
+#  RDoc: Documentation tool for source code
+#        (see lib/rdoc/rdoc.rb for more information)
+#
+#  Copyright (c) 2003 Dave Thomas
+#  Released under the same terms as Ruby
+#
+#  $Revision: 11367 $
+
+## Transitional Hack ####
+#
+#  RDoc was initially distributed independently, and installed
+#  itself into <prefix>/lib/ruby/site_ruby/<ver>/rdoc...
+#
+#  Now that RDoc is part of the distribution, it's installed into
+#  <prefix>/lib/ruby/<ver>, which unfortunately appears later in the
+#  search path. This means that if you have previously installed RDoc,
+#  and then install from ruby-lang, you'll pick up the old one by
+#  default. This hack checks for the condition, and readjusts the
+#  search path if necessary.
+
+def adjust_for_existing_rdoc(path)
+  
+  $stderr.puts %{
+  It seems as if you have a previously-installed RDoc in
+  the directory #{path}.
+
+  Because this is now out-of-date, you might want to consider
+  removing the directories:
+
+    #{File.join(path, "rdoc")}
+
+  and
+
+    #{File.join(path, "markup")}
+
+  }
+
+  # Move all the site_ruby directories to the end
+  p $:
+  $:.replace($:.partition {|path| /site_ruby/ !~ path}.flatten)
+  p $:
+end
+
+$:.each do |path|
+  if /site_ruby/ =~ path 
+    rdoc_path = File.join(path, 'rdoc', 'rdoc.rb')
+    if File.exist?(rdoc_path)
+      adjust_for_existing_rdoc(path)
+      break
+    end
+  end
+end
+
+## End of Transitional Hack ##
+
+
+require 'rdoc/rdoc'
+
+begin
+  r = RDoc::RDoc.new
+  r.document(ARGV)
+rescue RDoc::RDocError => e
+  $stderr.puts e.message
+  exit(1)
+end

Modified: trunk/bin/ri
===================================================================
--- trunk/bin/ri	2006-12-31 08:42:54 UTC (rev 589)
+++ trunk/bin/ri	2006-12-31 09:02:34 UTC (rev 590)
@@ -1,49 +1,49 @@
-#!/usr/bin/env ruby
-# usage:
-#
-#   ri  name...
-#
-# where name can be 
-#
-#   Class | Class::method | Class#method | Class.method | method
-#
-# All names may be abbreviated to their minimum unbiguous form. If a name
-# _is_ ambiguous, all valid options will be listed.
-#
-# The form '.' method matches either class or instance methods, while 
-# #method matches only instance and ::method matches only class methods.
-#
-#
-# == Installing Documentation
-#
-# 'ri' uses a database of documentation built by the RDoc utility.
-# 
-# So, how do you install this documentation on your system?
-# It depends on how you installed Ruby.
-#
-# <em>If you installed Ruby from source files</em> (that is, if it some point
-# you typed 'make' during the process :), you can install the RDoc
-# documentation yourself. Just go back to the place where you have 
-# your Ruby source and type
-#
-#    make install-doc
-#
-# You'll probably need to do this as a superuser, as the documentation
-# is installed in the Ruby target tree (normally somewhere under 
-# <tt>/usr/local</tt>.
-#
-# <em>If you installed Ruby from a binary distribution</em> (perhaps
-# using a one-click installer, or using some other packaging system),
-# then the team that produced the package probably forgot to package
-# the documentation as well. Contact them, and see if they can add
-# it to the next release.
-#
-
-
-require 'rdoc/ri/ri_driver'
-
-######################################################################
-
-ri = RiDriver.new
-ri.process_args
-
+#!/usr/bin/env ruby
+# usage:
+#
+#   ri  name...
+#
+# where name can be 
+#
+#   Class | Class::method | Class#method | Class.method | method
+#
+# All names may be abbreviated to their minimum unbiguous form. If a name
+# _is_ ambiguous, all valid options will be listed.
+#
+# The form '.' method matches either class or instance methods, while 
+# #method matches only instance and ::method matches only class methods.
+#
+#
+# == Installing Documentation
+#
+# 'ri' uses a database of documentation built by the RDoc utility.
+# 
+# So, how do you install this documentation on your system?
+# It depends on how you installed Ruby.
+#
+# <em>If you installed Ruby from source files</em> (that is, if it some point
+# you typed 'make' during the process :), you can install the RDoc
+# documentation yourself. Just go back to the place where you have 
+# your Ruby source and type
+#
+#    make install-doc
+#
+# You'll probably need to do this as a superuser, as the documentation
+# is installed in the Ruby target tree (normally somewhere under 
+# <tt>/usr/local</tt>.
+#
+# <em>If you installed Ruby from a binary distribution</em> (perhaps
+# using a one-click installer, or using some other packaging system),
+# then the team that produced the package probably forgot to package
+# the documentation as well. Contact them, and see if they can add
+# it to the next release.
+#
+
+
+require 'rdoc/ri/ri_driver'
+
+######################################################################
+
+ri = RiDriver.new
+ri.process_args
+

Modified: trunk/bin/testrb
===================================================================
--- trunk/bin/testrb	2006-12-31 08:42:54 UTC (rev 589)
+++ trunk/bin/testrb	2006-12-31 09:02:34 UTC (rev 590)
@@ -1,5 +1,5 @@
-#!/usr/bin/env ruby
-require 'test/unit'
-(r = Test::Unit::AutoRunner.new(true)).process_args(ARGV) or
-  abort r.options.banner + " tests..."
-exit r.run
+#!/usr/bin/env ruby
+require 'test/unit'
+(r = Test::Unit::AutoRunner.new(true)).process_args(ARGV) or
+  abort r.options.banner + " tests..."
+exit r.run


--
ML: yarv-diff quickml.atdot.net
Info: http://www.atdot.net/~ko1/quickml

[Á°][¼¡][ÈÖ¹æ½ç°ìÍ÷][¥¹¥ì¥Ã¥É°ìÍ÷][À¸¥Ç¡¼¥¿]